Subject: bug#62295: closed (Re: bug#62329: 30.0.50; Error in TRAMP due to variable aliasing)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Mar 2023 20:27:02 +0000

Your bug report

#62329: eshell: sudo results in "Don’t know how to make a buffer-local variable an alias: tramp-use-connection-share"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62329: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62329
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62329: 30.0.50; Error in TRAMP due to variable aliasing
From: Michael Albinus <[email-masked]>
To: Eshel Yaron <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Mar 2023 21:26:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Eshel Yaron <[email-masked]> writes:

Hi Eshel,

>> In my local environment, I have inverted the definition of the variable
>> alias. This seems to solve the bug.
>>
>> Could you pls try this patch?
>
> Yes, with this patch I don't get that error anymore, seems to work fine :)

Thanks for the feedback, I've pushed the patch to master. Closing the
bug.

Best regards, Michael.

Subject: eshell: sudo results in "Don’t know how to make a buffer-local variable an alias: tramp-use-connection-share"
From: Chris Elrod <[email-masked]>
To: [email-masked]
Date: Mon, 20 Mar 2023 09:48:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I just rebuilt the latest emacs master, and found that I can no longer use
sudo in eshell.
I get the error message:
Don’t know how to make a buffer-local variable an alias:
tramp-use-connection-share

This variable was recently introduced:
https://github.com/emacs-mirror/emacs/commit/1c39347d58533280bae74c712ad0016a5c8992aa